#
# spec file for package libnetfilter_conntrack
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libnetfilter_conntrack
%define lname	%{name}3
Version:        1.0.4
Release:        6.3
Url:            http://netfilter.org/projects/libnetfilter_conntrack/
Summary:        Userspace library for the in-kernel connection tracking state table
License:        GPL-2.0+
Group:          Productivity/Networking/Security

#Freecode-URL:	http://freecode.com/projects/libnetfilter_conntrack/
#Git-Clone:	git://git.netfilter.org/libnetfilter_conntrack
#DL-URL:	http://netfilter.org/projects/libnetfilter_conntrack/files/
Source:         http://netfilter.org/projects/libnetfilter_conntrack/files/%name-%version.tar.bz2
Source2:        http://netfilter.org/projects/libnetfilter_conntrack/files/%name-%version.tar.bz2.sig
Source3:        baselibs.conf
Source4:        %name.keyring
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#git#BuildRequires:  autoconf, automake >= 1.6, libtool
BuildRequires:  pkgconfig >= 0.21
%if 0%{?suse_version} >= 1140 || 0%{?fedora_version}
BuildRequires:  pkgconfig(libmnl) >= 1.0.3
BuildRequires:  pkgconfig(libnfnetlink) >= 1.0.0
%else
BuildRequires:  libmnl-devel >= 1.0.3
BuildRequires:  libnfnetlink-devel >= 1.0.0
%endif
%if 0%{?suse_version} >= 1230
BuildRequires:  gpg-offline
%endif

%description
libnetfilter_conntrack is a userspace library providing a programming
interface (API) to the in-kernel connection tracking state table. The
library libnetfilter_conntrack has been previously known as
libnfnetlink_conntrack and libctnetlink. This library is currently
used by conntrack-tools among many other applications.

%package -n %lname
Summary:        Userspace library for the in-kernel connection tracking state table
Group:          System/Libraries

%description -n %lname
libnetfilter_conntrack is a userspace library providing a programming
interface (API) to the in-kernel connection tracking state table. The
library libnetfilter_conntrack has been previously known as
libnfnetlink_conntrack and libctnetlink. This library is currently
used by conntrack-tools among many other applications.

%package devel
Summary:        Userspace library for the in-kernel connection tracking state table
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
libnetfilter_conntrack is a userspace library providing a programming
interface (API) to the in-kernel connection tracking state table. The
library libnetfilter_conntrack has been previously known as
libnfnetlink_conntrack and libctnetlink. This library is currently
used by conntrack-tools among many other applications.

%prep
%{?gpg_verify: %gpg_verify %{S:2}}
%setup -q

%build
%configure --disable-static --includedir="%_includedir/%name-%version"
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot";
rm -f "%buildroot/%_libdir"/*.la;

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%_libdir/libnetfilter_conntrack.so.3*

%files devel
%defattr(-,root,root)
%_includedir/%name-%version
%_libdir/libnetfilter_conntrack.so
%_libdir/pkgconfig/libnetfilter_conntrack.pc

%changelog
* Wed Aug  7 2013 jengelh@inai.de
- Update to new upstream release 1.0.4
  * This release includes connlabel support, one memleak fix and
  fixes in the comparison API.
* Mon Mar  4 2013 jengelh@inai.de
- Update to new upstream release 1.0.3
  * Treat the ATTR_HELPER_INFO attribute as the variable-length type
  that it actually is.
  * Fix a use after free when nfct_clone was used with certain
  attribute data types.
* Wed Nov 28 2012 sbrabec@suse.cz
- Verify GPG signature
* Mon Oct  8 2012 jengelh@inai.de
- Update to new upstream release 1.0.2
  * This release provides new interfaces to interact with libmnl,
  and also has several fixes.
* Sat May 19 2012 jengelh@inai.de
- Update to new upstream release 1.0.1
  * add NAT, expectfn and class support
  * conntrack: add new ATTR_GRP_[ORIG|REPL]_ADDR_[SRC|DST] attributes
* Wed Jan  4 2012 jengelh@medozas.de
- Update to new upstream release 1.0.0
  * build and compilation updates
  * expect: fix missing parsing of master tuple
  * expect: nfexp_snprintf prints expectation timeout if present
  * expect: nfexp_snprintf displays mask and master tuple information
  * expect: add nfexp_send()
  * expect: support CTA_EXPECT_HELP_NAME
  * src: clarify licensing terms of library (GPLv2+)
  * conntrack: fix size of CTA_PROTOINFO_TCP_FLAGS_ORIGINAL in ARM
  * conntrack: fix set operation for master IPv6 src and dst
  * expect: add nfexp_cmp
* Thu Dec 29 2011 jengelh@medozas.de
- SPDX format for License: tag
- Use separate include directory to catch compile errors
* Thu Feb 24 2011 jengelh@medozas.de
- new upstream release 0.9.1
  * add support for CTA_SECCTX and CTA_EXPECT_ZONE
  * allow to use nfct handler for conntrack and expectations at
  the same time
  * conntrack: add timestamp support
* Wed Sep  8 2010 jengelh@medozas.de
- new upstream release 0.9.0
  * ct: fix regression with helpers for Linux kernel >= 2.6.34
  * ct: fix EINVAL if not TCP attributes are set for Linux
  kernel <= 2.6.25
* Thu Jul 15 2010 jengelh@medozas.de
- new upstream release 0.0.102
  * support for conntrack zones
  * support for TCP window scale factor
* Tue Feb 23 2010 jengelh@medozas.de
- new upstream release: 0.0.101
- add baselibs.conf
- use %%_smp_mflags
- remove unnecessary PreReq: glibc
- secure the *.la delete call
- wrap description at col 70
* Sun Sep 20 2009 bitshuffler #suse@irc.freenode.org
- Updated to 0.0.100
